Subject: Re: Tri-mode auto-negotiation on ML405

From: Andrei Konovalov <[email-masked]>
Date: Sun, 22 Apr 2007 18:18:26 +0400

Hi Peter,

Peter Mendham wrote:
> Andrei Konovalov wrote:
> 
>> And I've tried the PHY library (drivers/net/phy/*) introduced by Andy 
>> Fleming.
>> Kinda works. [...]
>> Attached is the incomplete adapter.c (with FIFO mode support only) which
>> uses the PHY lib to handle the PHY. Just to illustrate the idea (will 
>> post the
>> patch later when it is completed).
> 
> Hi Andrei,
> 
> I've now had a chance to have a go at the adapter.c you sent properly 
> (sorry about the delay).  I'm afraid I can't get it to work.  I was 
> wondering if you could tell me what I'm doing wrong.  When I try and 
> bring the interface up I get:
> SIOCSIFADDR: No such device
> SIOCSIFNETMASK: No such device
> SIOCSIFBRDADDR: No such device
> SIOCGIFFLAGS: No such device
> route: SIOC[ADD|DEL]RT: No such device
> 
> I have included PHYLIB and even tried including support for the Marvell 
> PHY.  I still get the same. I'm sure I've made a stupid mistake, any ideas?

Has the ethernet device been registered on the platform bus?
There should be a call to platform_device_register()
in arch/ppc/syslib/virtex_devices.c or arch/ppc/platforms/4xx/virtex.c depending
on the kernel tree used and the patches appiled.

Thanks,
Andrei

> Thanks,
> -- Peter